Skip to main content
GET
/
v1
/
payor-services
List Payor Services
curl --request GET \
  --url https://api.example.com/v1/payor-services \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '[
  "<string>"
]'
{
  "data": [
    {
      "copay_in_network": 25,
      "covered_service": true,
      "created_at": "2024-01-15T10:30:00Z",
      "eligibility_check_status": "ELIGIBLE",
      "id": "550e8400-e29b-41d4-a716-446655440014",
      "payor_id": "550e8400-e29b-41d4-a716-446655440012",
      "service_type": "PT",
      "updated_at": "2024-01-15T10:30:00Z",
      "verification_benefits_status": "VERIFIED"
    }
  ],
  "pagination": {
    "has_more": false,
    "limit": 50,
    "page": 1,
    "total": 1
  }
}

Authorizations

X-API-Key
string
header
required

Query Parameters

page
integer | null
default:1
Required range: x >= 1
limit
integer | null
default:50
Required range: 1 <= x <= 100
payor
string | null
service_type
enum<string> | null

X12 Service Type — human-readable enum values stored in the database. See app/utils/service_type_mapping.py for code-to-type mappings.

Available options:
medical_care,
surgical,
consultation,
diagnostic_x_ray,
diagnostic_lab,
radiation_therapy,
anesthesia,
surgical_assistance,
other_medical,
blood_charges,
used_durable_medical_equipment,
durable_medical_equipment_purchase,
ambulatory_service_center_facility,
renal_supplies_in_home,
alternate_method_dialysis,
chronic_renal_disease_equipment,
pre_admission_testing,
durable_medical_equipment_rental,
pneumonia_vaccine,
second_surgical_opinion,
third_surgical_opinion,
social_work,
diagnostic_dental,
periodontics,
restorative,
endodontics,
maxillofacial_prosthetics,
adjunctive_dental_services,
health_benefit_plan_coverage,
plan_waiting_period,
chiropractic,
chiropractic_office_visits,
dental_care,
dental_crowns,
dental_accident,
orthodontics,
prosthodontics,
oral_surgery,
routine_preventive_dental,
home_health_care,
home_health_prescriptions,
home_health_visits,
hospice,
respite_care,
hospital,
hospital_inpatient,
hospital_room_and_board,
hospital_outpatient,
hospital_emergency_accident,
hospital_emergency_medical,
hospital_ambulatory_surgical,
long_term_care,
major_medical,
medically_related_transportation,
air_transportation,
cabulance,
licensed_ambulance,
general_benefits,
in_vitro_fertilization,
mri_cat_scan,
donor_procedures,
acupuncture,
newborn_care,
pathology,
smoking_cessation,
well_baby_care,
maternity,
transplants,
audiology_exam,
inhalation_therapy,
diagnostic_medical,
private_duty_nursing,
prosthetic_device,
dialysis,
otological_exam,
chemotherapy,
allergy_testing,
immunizations,
routine_physical,
family_planning,
infertility,
abortion,
aids,
emergency_services,
cancer,
pharmacy,
free_standing_prescription_drug,
mail_order_prescription_drug,
brand_name_prescription_drug,
generic_prescription_drug,
podiatry,
podiatry_office_visits,
podiatry_nursing_home_visits,
professional_physician,
anesthesiologist,
professional_visit_office,
professional_visit_inpatient,
professional_visit_outpatient,
professional_visit_nursing_home,
professional_visit_skilled_nursing_facility,
professional_visit_home,
psychiatric,
psychiatric_room_and_board,
psychotherapy,
psychiatric_inpatient,
psychiatric_outpatient,
rehabilitation,
rehabilitation_room_and_board,
rehabilitation_inpatient,
rehabilitation_outpatient,
occupational_therapy,
physical_medicine,
speech_therapy,
skilled_nursing_care,
skilled_nursing_care_room_and_board,
substance_abuse,
alcoholism,
drug_addiction,
vision_optometry,
frames,
routine_exam,
lenses,
nonmedically_necessary_physical,
experimental_drug_therapy,
burn_care,
brand_name_prescription_drug_formulary,
brand_name_prescription_drug_non_formulary,
independent_medical_evaluation,
partial_hospitalization_psychiatric,
day_care_psychiatric,
cognitive_therapy,
massage_therapy,
pulmonary_rehabilitation,
cardiac_rehabilitation,
pediatric,
nursery,
skin,
orthopedic,
cardiac,
lymphatic,
gastrointestinal,
endocrine,
neurology,
eye,
invasive_procedures,
gynecological,
obstetrical,
obstetrical_gynecological,
mail_order_prescription_drug_brand_name,
mail_order_prescription_drug_generic,
physician_visit_office_sick,
physician_visit_office_well,
coronary_care,
private_duty_nursing_inpatient,
private_duty_nursing_home,
surgical_benefits_professional,
surgical_benefits_facility,
mental_health_provider_inpatient,
mental_health_provider_outpatient,
mental_health_facility_inpatient,
mental_health_facility_outpatient,
substance_abuse_facility_inpatient,
substance_abuse_facility_outpatient,
screening_x_ray,
screening_laboratory,
mammogram_high_risk_patient,
mammogram_low_risk_patient,
flu_vaccination,
eyewear_and_accessories,
case_management,
dermatology,
durable_medical_equipment,
diabetic_supplies,
generic_prescription_drug_formulary,
generic_prescription_drug_non_formulary,
allergy,
intensive_care,
mental_health,
neonatal_intensive_care,
oncology,
physical_therapy,
pulmonary,
renal,
residential_psychiatric_treatment,
transitional_care,
transitional_nursery_care,
urgent_care
eligibility_status
enum<string> | null

Eligibility check status enum matching Prisma EligibilityStatus

Available options:
active,
inactive,
pending,
failed
verification_status
enum<string> | null

Verification benefits status enum matching Prisma @map values

Available options:
completed,
pending,
in_progress
auth_required
boolean | null
created_gte
string<date-time> | null
created_lte
string<date-time> | null
fields
string | null
starting_after
string | null
ending_before
string | null
q
string | null

Body

application/json

Response

Successful Response

List response for payor services

data
PayorService · object[]
required
pagination
Pagination · object
required

Pagination information for list responses.

Fields:

  • has_more: Whether more items exist beyond this page
  • total: Total number of items across all pages
  • page: Current page number (1-based)
  • limit: Number of items per page